%define upstream_name    List-UtilsBy
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Higher-order list utility functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module provides a number of list utility functions, all of which take
an initial code block to control their behaviour. They are variations on
similar core perl or 'List::Util' functions of similar names, but which use
the block to control their behaviour. For example, the core Perl function
'sort' takes a list of values and returns them, sorted into order by their
string value. The 'sort_by' function sorts them according to the string
value returned by the extra function, when given each value.

 my @names_sorted = sort @names;

 my @people_sorted = sort_by { $_->name } @people;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1029212
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 968757
- Mageia 6 Mass Rebuild

* Fri Jul 17 2015 shlomif <shlomif> 0.100.0-1.mga6
+ Revision: 854911
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 789727
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 744197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 685241
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 512613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 369128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 212985
- update to 0.09

* Sat Nov 19 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 169322
- update to 0.08

* Wed Jun 15 2011 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 107033
- update to 0.07

* Tue Jan 18 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 22580
- cleaning spec file
- imported package perl-List-UtilsBy


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 602044
- import perl-List-UtilsBy

